<?php

namespace App\Interfaces\Equipment;

use App\Entities\Equipment\ServerPartEntity;

interface ServerPartInterface extends EquipmentInterface
{
  public function setServerPartEntity(ServerPartEntity $entity): self;
  public function getServerPartEntity(): ServerPartEntity;
  public function createServerPart(): ServerPartEntity;
  public function modifyServerPart(): ServerPartEntity;
  public function deleteServerPart(): ServerPartEntity;
}
